MyGUI 3.2.2

Public Types | Public Member Functions
MyGUI::delegates::CDelegate4< TP1, TP2, TP3, TP4 > Class Template Reference

`#include <MyGUI_Delegate.h>`

Inheritance diagram for MyGUI::delegates::CDelegate4< TP1, TP2, TP3, TP4 >:
[legend]

## Public Types
typedef IDelegate4< TP1, TP2, TP3, TP4 > | IDelegate

## Public Member Functions
| CDelegate4 ()
| CDelegate4 (const CDelegate4< TP1, TP2, TP3, TP4 > &_event)
| ~ CDelegate4 ()
bool | empty () const
void | clear ()
CDelegate4< TP1, TP2, TP3, TP4 > & | operator= (IDelegate *_delegate)
CDelegate4< TP1, TP2, TP3, TP4 > & | operator= (const CDelegate4< TP1, TP2, TP3, TP4 > &_event)
void | operator() (TP1 p1, TP2 p2, TP3 p3, TP4 p4)

## Detailed Description

### template<typename TP1, typename TP2, typename TP3, typename TP4>
class MyGUI::delegates::CDelegate4< TP1, TP2, TP3, TP4 >

Definition at line 137 of file MyGUI_Delegate.h.

## Member Typedef Documentation

## ◆ IDelegate

template<typename TP1, typename TP2, typename TP3, typename TP4>

typedef IDelegate4<TP1, TP2, TP3, TP4> MyGUI::delegates::CDelegate4< TP1, TP2, TP3, TP4 >::IDelegate

Definition at line 140 of file MyGUI_Delegate.h.

## Constructor & Destructor Documentation

## ◆ CDelegate4() [1/2]

template<typename TP1, typename TP2, typename TP3, typename TP4>

MyGUI::delegates::CDelegate4< TP1, TP2, TP3, TP4 >::CDelegate4 | ( |  | ) |
| inline

Definition at line 142 of file MyGUI_Delegate.h.

## ◆ CDelegate4() [2/2]

template<typename TP1, typename TP2, typename TP3, typename TP4>

MyGUI::delegates::CDelegate4< TP1, TP2, TP3, TP4 >::CDelegate4 | ( | const CDelegate4< TP1, TP2, TP3, TP4 > & | _event | ) |
| inline

Definition at line 143 of file MyGUI_Delegate.h.

## ◆ ~ CDelegate4()

template<typename TP1, typename TP2, typename TP3, typename TP4>

MyGUI::delegates::CDelegate4< TP1, TP2, TP3, TP4 >::~ CDelegate4 | ( |  | ) |
| inline

Definition at line 150 of file MyGUI_Delegate.h.

## Member Function Documentation

## ◆ clear()

template<typename TP1, typename TP2, typename TP3, typename TP4>

void MyGUI::delegates::CDelegate4< TP1, TP2, TP3, TP4 >::clear | ( |  | ) |
| inline

Definition at line 160 of file MyGUI_Delegate.h.

## ◆ empty()

template<typename TP1, typename TP2, typename TP3, typename TP4>

bool MyGUI::delegates::CDelegate4< TP1, TP2, TP3, TP4 >::empty | ( |  | ) | const
| inline

Definition at line 155 of file MyGUI_Delegate.h.

## ◆ operator()()

template<typename TP1, typename TP2, typename TP3, typename TP4>

void MyGUI::delegates::CDelegate4< TP1, TP2, TP3, TP4 >::operator() | ( | TP1 | p1,
|  | TP2 | p2,
|  | TP3 | p3,
|  | TP4 | p4
| ) |  |
| inline

Definition at line 190 of file MyGUI_Delegate.h.

## ◆ operator=() [1/2]

template<typename TP1, typename TP2, typename TP3, typename TP4>

CDelegate4<TP1, TP2, TP3, TP4>& MyGUI::delegates::CDelegate4< TP1, TP2, TP3, TP4 >::operator= | ( | IDelegate * | _delegate | ) |
| inline

Definition at line 166 of file MyGUI_Delegate.h.

## ◆ operator=() [2/2]

template<typename TP1, typename TP2, typename TP3, typename TP4>

CDelegate4<TP1, TP2, TP3, TP4>& MyGUI::delegates::CDelegate4< TP1, TP2, TP3, TP4 >::operator= | ( | const CDelegate4< TP1, TP2, TP3, TP4 > & | _event | ) |
| inline

Definition at line 173 of file MyGUI_Delegate.h.

The documentation for this class was generated from the following file:

- MyGUI_Delegate.h